org.apache.hadoop.mapreduce.v2.api

## Interface MRClientProtocolPB

- All Superinterfaces:
    MRClientProtocol.MRClientProtocolService.BlockingInterface
  All Known Subinterfaces:
    HSClientProtocol.HSClientProtocolService.BlockingInterface, HSClientProtocolPB
  All Known Implementing Classes:
    HSClientProtocolPBServiceImpl, MRClientProtocolPBServiceImpl

      public interface MRClientProtocolPB
      extends MRClientProtocol.MRClientProtocolService.BlockingInterface

- - ### Method Summary

    - ### Methods inherited from interface org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface

      `cancelDelegationToken, failTaskAttempt, getCounters, getDelegationToken, getDiagnostics, getJobReport, getTaskAttemptCompletionEvents, getTaskAttemptReport, getTaskReport, getTaskReports, killJob, killTask, killTaskAttempt, renewDelegationToken`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.